﻿using System.ComponentModel.DataAnnotations;

namespace TestServer.Models
{
    /// <summary>
    /// 테스트 모델
    /// </summary>
    public class TestModel
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ID - ID

        /// <summary>
        /// ID
        /// </summary>
        public int ID { get; set; }

        #endregion
        #region 성명 - Name

        /// <summary>
        /// 성명
        /// </summary>
        [Required]
        [StringLength(50, MinimumLength = 3, ErrorMessage = "성명은 3자 이상 입력해 주시기 바랍니다.")]
        public string Name { get; set; }

        #endregion
    }
}