﻿using System.Collections.Generic;

namespace TestServer.Models
{
    /// <summary>
    /// 테스트 저장소
    /// </summary>
    public class TestRepository
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 테스트 딕셔너리
        /// </summary>
        public static Dictionary<int, TestModel> TestDictionary;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Static

        #region 생성자 - TestRepository()

        /// <summary>
        /// 생성자
        /// </summary>
        static TestRepository()
        {
            TestDictionary = new Dictionary<int, TestModel>();

            TestDictionary.Add(1, new TestModel { ID = 1, Name = "홍길동" });
            TestDictionary.Add(2, new TestModel { ID = 2, Name = "김철수" });
            TestDictionary.Add(3, new TestModel { ID = 3, Name = "이용희" });
        }

        #endregion
    }
}